org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Class Event.VertexPropertyRemovedEvent

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event.VertexPropertyRemovedEvent

- All Implemented Interfaces:
    Event
  Enclosing interface:
    Event

      public static class Event.VertexPropertyRemovedEvent
      extends Object
      implements Event

  Represents an action where a `Property` is removed from a `Vertex`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.util.event.Event

      `Event.EdgeAddedEvent, Event.EdgePropertyChangedEvent, Event.EdgePropertyRemovedEvent, Event.EdgeRemovedEvent, Event.ElementPropertyChangedEvent, Event.ElementPropertyEvent, Event.VertexAddedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent, Event.VertexPropertyRemovedEvent, Event.VertexRemovedEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertyRemovedEvent(VertexProperty vertexProperty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireEvent(Iterator<MutationListener> eventListeners)` An `Event` publishes its action to all the event `MutationListener` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPropertyRemovedEvent

          public VertexPropertyRemovedEvent(VertexProperty vertexProperty)

  - ### Method Detail

    - #### fireEvent

          public void fireEvent(Iterator<MutationListener> eventListeners)

      Description copied from interface: `Event`
      An `Event` publishes its action to all the event `MutationListener` objects.
      Specified by:
        `fireEvent` in interface `Event`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.